=== debian/changelog ===
fwupd (1.5.11-0ubuntu1~21.04.1) hirsute; urgency=medium

  * New upstream version (1.5.11) to support Dell dock USB4 module.
    (LP: #1934209)
  * Drop all patches upstream.
  * Sync updated files from contrib/debian/ to debian/.

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Thu, 01 Jul 2021 01:06:11 +0000
