=== debian/changelog ===
fwupd (1.7.5-3~20.04.1) focal; urgency=medium

  * Backport 1.7.5-3 from jammy to focal.
  * Support several new devices (LP: #1949412, LP: #1954965, LP: #1953573)
  * fwupd / fwupd-efi source package split (LP: #1955386)
  * Don't install new fwupd-unsiged by default. (LP: #1960783)
  * Disable flashrom in focal as it was not enabled in focal.
  * Downgrade libgusb from 0.3.5 to 0.3.4 which used in focal after
    checking through all commits between. Just what we did on previous
    focal version 1.5.11.

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Mon, 21 Feb 2022 11:06:00 +0800

fwupd (1.7.5-3) unstable; urgency=medium

  * debian/tests:
    - Disable blocking container virtualization only for autopkgtest

 -- Mario Limonciello <superm1@gmail.com>  Sat, 19 Feb 2022 07:21:22 -0600

fwupd (1.7.5-2) unstable; urgency=medium

  * Backport a series of patches that fix autopkgtest failures in Debian
    and Ubuntu.
  * Backport a patch to avoid running fwupd-refresh in containers.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 18 Feb 2022 11:50:37 -0600

fwupd (1.7.5-1) unstable; urgency=medium

  * New upstream version (1.7.5)
    - Enable modem manager plugin by default
  * Drop efivar compatibility patch, upstream
  * backport a patch to fix dell wd19 TBT updates
  * backport a patch for community messaging issue
  * Backport a patch to allow falling back to signed binary if
    unsigned binary not present
  * Drop fwupd-unsigned from Recommends

 -- Mario Limonciello <superm1@gmail.com>  Tue, 15 Feb 2022 08:26:21 -0600

fwupd (1.7.4-2) unstable; urgency=medium

  * Add hard dependencies on libfwupd2 and libfwupdplugin5 built with
    us. Symbols suggest things should work, but maybe not. :-(
    Closes: #1003664

 -- Steve McIntyre <93sam@debian.org>  Thu, 10 Feb 2022 00:13:57 +0000

fwupd (1.7.4-1) unstable; urgency=medium

  * New upstream version (1.7.4)
  * Drop manpages section patch, upstream
  * Add a patch that fixes compilation with newer efivar

 -- Mario Limonciello <superm1@gmail.com>  Mon, 17 Jan 2022 09:42:56 -0600

fwupd (1.7.3-1) unstable; urgency=medium

  * New upstream version (1.7.3)
  * ignore subprojects and build directory from upstream builds in same folder
  * Update symbols and shared library name
  * drop lintian overrides for EFI binary, gone from the split
  * use wildcards in lintian override for library-not-linked-against-libc
  * drop unused debian/source/include-binaries
  * Add Rules-Requires-Root clause
  * Fix man page location
  * disable logitech bulk controller on ubuntu by default
  * disable logitech bulk controller on ubuntu by default
  * add dual license nature of dell-dock plugin to debian/copyright

 -- Mario Limonciello <superm1@gmail.com>  Fri, 07 Jan 2022 23:41:05 -0600

fwupd (1.7.1-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (1.7.1)
  * Update debian/control and debian/copyright for changes upstream
  * Drop all patches, upstream
  * Packaging changes for the split into fwupd/fwupd-efi.

  [ Steve McIntyre ]
  * Update Mario's email address in debian/control
  * Move manpages into section 8, fix lintian warnings.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 03 Jan 2022 18:27:46 +0000
