=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: fwupd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
-           Mario Limonciello <mario.limonciello@dell.com>
+           Mario Limonciello <superm1@gmail.com>
 Build-Depends:
+	fwupd-unsigned-dev [amd64 arm64 armhf i386],
 	bash-completion,
 	bubblewrap,
 	debhelper (>= 12),
@@ -20,7 +20,6 @@
 	gnutls-dev,
 	gobject-introspection,
 	gtk-doc-tools,
-	help2man,
 	libarchive-dev,
 	libcairo-dev,
 	libcairo-gobject2,
@@ -28,17 +27,19 @@
 	libefiboot-dev [amd64 arm64 armhf i386],
 	libefivar-dev [amd64 arm64 armhf i386],
 	libelf-dev,
-	libflashrom-dev [!ia64],
 	libfreetype6-dev,
 	libgcab-dev,
 	libgirepository1.0-dev,
 	libglib2.0-dev (>= 2.45.8),
 	libgudev-1.0-dev,
-	libgusb-dev (>= 0.3.5),
+	libgusb-dev (>= 0.3.4),
 	libjcat-dev,
 	libjson-glib-dev (>= 1.1.1),
+	libmbim-glib-dev,
 	libmm-glib-dev,
+	libpci-dev,
 	libpolkit-gobject-1-dev,
+	libprotobuf-c-dev,
 	libqmi-glib-dev,
 	libsmbios-dev [i386 amd64],
 	libsqlite3-dev,
@@ -51,9 +52,12 @@
 	mingw-w64-tools [amd64 arm64 armhf i386],
 	pkg-config,
 	policykit-1 (>> 0.105-14),
+	protobuf-c-compiler,
 	python3-gi-cairo,
-	python3-pil,
+	python3-jinja2,
 	python3-requests,
+	python3-toml,
+	python3-typogrify,
 	shared-mime-info,
 	systemd (>= 231),
 	udev,
@@ -61,16 +65,18 @@
 	valac,
 	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.0.1
 Section: admin
 Homepage: https://github.com/fwupd/fwupd
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd
 
-Package: libfwupdplugin1
+Package: libfwupdplugin5
 Section: libs
 Architecture: linux-any
-Depends: ${misc:Depends},
+Depends: libfwupd2 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Multi-Arch: same
 Description: Firmware update daemon plugin library
@@ -99,7 +105,9 @@
 
 Package: fwupd
 Architecture: linux-any
-Depends: ${misc:Depends},
+Depends: libfwupd2 (= ${binary:Version}),
+         libfwupdplugin5 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
          shared-mime-info
 Recommends: python3,
@@ -207,7 +215,7 @@
 Package: libfwupdplugin-dev
 Architecture: linux-any
 Multi-Arch: same
-Depends: libfwupdplugin1 (= ${binary:Version}),
+Depends: libfwupdplugin5 (= ${binary:Version}),
          gir1.2-fwupdplugin-1.0 (= ${binary:Version}),
          libarchive-dev,
          libcurl4-gnutls-dev,
@@ -215,7 +223,7 @@
          libgcab-dev,
          libglib2.0-dev (>= 2.45.8),
          libgudev-1.0-dev,
-         libgusb-dev (>= 0.3.5),
+         libgusb-dev (>= 0.3.4),
          libjcat-dev,
          libjson-glib-dev (>= 1.1.1),
          libxmlb-dev (>= 0.1.13),
@@ -242,31 +250,3 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
-
-Package: fwupd-amd64-signed-template
-Architecture: amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
-Description: Template for signed fwupd package
- This package is used to control code signing by the Debian signing
- service.
-
-Package: fwupd-i386-signed-template
-Architecture: i386
-Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
-Description: Template for signed fwupd package
- This package is used to control code signing by the Debian signing
- service.
-
-Package: fwupd-armhf-signed-template
-Architecture: armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
-Description: Template for signed fwupd package
- This package is used to control code signing by the Debian signing
- service.
-
-Package: fwupd-arm64-signed-template
-Architecture: arm64
-Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
-Description: Template for signed fwupd package
- This package is used to control code signing by the Debian signing
- service.
