## fwupd 1.7.9

=== meson_options.txt ===
--- 
+++ 
@@ -24,12 +24,14 @@
 option('plugin_emmc', type : 'boolean', value : true, description : 'enable eMMC support')
 option('plugin_ep963x', type : 'boolean', value : true, description : 'enable EP963x support')
 option('plugin_fastboot', type : 'boolean', value : true, description : 'enable Fastboot support')
+option('plugin_gpio', type : 'boolean', value : false, description : 'enable GPIO support')
 option('plugin_logitech_bulkcontroller', type : 'boolean', value : true, description : 'enable Logitech bulk controller support')
 option('plugin_parade_lspcon', type : 'boolean', value : true, description : 'enable Parade LSPCON support')
 option('plugin_pixart_rf', type : 'boolean', value : true, description : 'enable PixartRF support')
 option('plugin_realtek_mst', type : 'boolean', value : true, description : 'enable Realtek MST hub support')
 option('plugin_synaptics_mst', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
 option('plugin_synaptics_rmi', type: 'boolean', value: true, description : 'enable Synaptics RMI support')
+option('plugin_scsi', type: 'boolean', value: true, description : 'enable SCSI support')
 option('plugin_tpm', type : 'boolean', value : true, description : 'enable TPM support')
 option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
 option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
@@ -50,6 +52,7 @@
 option('qubes', type : 'boolean', value : false, description : 'build packages for Qubes OS')
 option('supported_build', type : 'boolean', value : false, description: 'distribution package with upstream support')
 option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
+option('systemd_unit_user', type : 'string', description : 'User account to use for fwupd-refresh.service (empty for DynamicUser)')
 option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
 option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
 option('tests', type : 'boolean', value : true, description : 'enable tests')
