=== debian/changelog ===
fwupd (1.7.9-1~22.04.3) jammy; urgency=medium

  * Hide inhibited usb4 device in dell-dock plugin (LP: #1983451)
    d/p/0001-Do-not-show-unconnected-or-unreachable-devices-in-th.patch
    d/p/0001-trivial-don-t-show-devices-with-inhibit-id-hidden.patch

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Wed, 17 May 2023 13:35:19 +0800

fwupd (1.7.9-1~22.04.2) jammy; urgency=medium

  * d/p/0001_make_sure_mtdram_is_set_up.patch: Upstreamed patch that
    fix the false alarm in the autopkgtest (LP: #1994143)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Wed, 12 Oct 2022 09:47:21 +0800

fwupd (1.7.9-1~22.04.1) jammy; urgency=medium

  * New upstream release, and drop all patches since they are merged.
  * Properly fall back to use DMI instead of /sys/class/dmi interface.
    (LP: #1982103)
  * Don't stderr-fail the autopkgtest on modprobe error as they are
    optional. (LP: #1966364)
  * Run fwupd-refresh under a dedicated fwupd-refresh user. This is
    fixed in 1.7.7, so it's automatically included. (LP: #1969976)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Tue, 20 Sep 2022 03:18:51 +0000
