=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: fwupd
 Priority: optional
-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <superm1@gmail.com>
@@ -33,10 +34,10 @@
 	libglib2.0-dev (>= 2.45.8),
 	libgudev-1.0-dev,
 	libgusb-dev (>= 0.3.4),
-	libjcat-dev,
+	libjcat-dev (>= 0.1.4),
 	libjson-glib-dev (>= 1.1.1),
 	libmbim-glib-dev,
-	libmm-glib-dev,
+	libmm-glib-dev (>= 1.18),
 	libpci-dev,
 	libpolkit-gobject-1-dev,
 	libprotobuf-c-dev,
@@ -46,7 +47,7 @@
 	libsystemd-dev,
 	libtool-bin,
 	libtss2-dev,
-	libxmlb-dev (>= 0.1.13),
+	libxmlb-dev (>= 0.3.6),
 	locales,
 	meson,
 	mingw-w64-tools [amd64 arm64 armhf i386],
@@ -226,7 +227,7 @@
          libgusb-dev (>= 0.3.4),
          libjcat-dev,
          libjson-glib-dev (>= 1.1.1),
-         libxmlb-dev (>= 0.1.13),
+         libxmlb-dev (>= 0.3.6),
          valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
          ${misc:Depends}
 Section: libdevel
