=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
        CONFARGS += -Dplugin_logitech_bulkcontroller=false
 endif
 
-CONFARGS += -Dplugin_dummy=true -Dplugin_powerd=false -Ddocs=gtkdoc -Dsupported_build=true -Dplugin_modem_manager=true
+CONFARGS += -Dplugin_dummy=true -Dplugin_powerd=false -Ddocs=gtkdoc -Dsupported_build=true -Dplugin_modem_manager=true -Dsystemd_unit_user=fwupd-refresh
 
 %:
 	dh $@ --with gir
@@ -81,6 +81,9 @@
 	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_invalid.so
 	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf
 
+	#enable fwupd-refresh.service by default (we have a dedicated user)
+	rm -f debian/fwupd/lib/systemd/system-preset/fwupd-refresh.preset
+
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xfirmware-example.xml.gz
